org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class Response

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.Response

-     public class Response
      extends Object

  Java class for Response complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Response">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="policyID" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="policyFriendlyName" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="nextUpdateHours" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="policiesNotChanged" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="policies" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}PolicyCollection"/>
               <any processContents='lax' maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected Long` | `nextUpdateHours`
    `protected PolicyCollection` | `policies`
    `protected Boolean` | `policiesNotChanged`
    `protected String` | `policyFriendlyName`
    `protected String` | `policyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAny()` Gets the value of the any property.
    `Long` | `getNextUpdateHours()` Gets the value of the nextUpdateHours property.
    `PolicyCollection` | `getPolicies()` Gets the value of the policies property.
    `String` | `getPolicyFriendlyName()` Gets the value of the policyFriendlyName property.
    `String` | `getPolicyID()` Gets the value of the policyID property.
    `Boolean` | `isPoliciesNotChanged()` Gets the value of the policiesNotChanged property.
    `void` | `setNextUpdateHours(Long value)` Sets the value of the nextUpdateHours property.
    `void` | `setPolicies(PolicyCollection value)` Sets the value of the policies property.
    `void` | `setPoliciesNotChanged(Boolean value)` Sets the value of the policiesNotChanged property.
    `void` | `setPolicyFriendlyName(String value)` Sets the value of the policyFriendlyName property.
    `void` | `setPolicyID(String value)` Sets the value of the policyID property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### policyID

          protected String policyID

    - #### policyFriendlyName

          protected String policyFriendlyName

    - #### nextUpdateHours

          protected Long nextUpdateHours

    - #### policiesNotChanged

          protected Boolean policiesNotChanged

    - #### policies

          protected PolicyCollection policies

    - #### any

          protected List<Object> any

  - ### Constructor Detail

    - #### Response

          public Response()

  - ### Method Detail

    - #### getPolicyID

          public String getPolicyID()

      Gets the value of the policyID property.
      Returns:
        possible object is `String`

    - #### setPolicyID

          public void setPolicyID(String value)

      Sets the value of the policyID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPolicyFriendlyName

          public String getPolicyFriendlyName()

      Gets the value of the policyFriendlyName property.
      Returns:
        possible object is `String`

    - #### setPolicyFriendlyName

          public void setPolicyFriendlyName(String value)

      Sets the value of the policyFriendlyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNextUpdateHours

          public Long getNextUpdateHours()

      Gets the value of the nextUpdateHours property.
      Returns:
        possible object is `Long`

    - #### setNextUpdateHours

          public void setNextUpdateHours(Long value)

      Sets the value of the nextUpdateHours property.
      Parameters:
        `value` - allowed object is `Long`

    - #### isPoliciesNotChanged

          public Boolean isPoliciesNotChanged()

      Gets the value of the policiesNotChanged property.
      Returns:
        possible object is `Boolean`

    - #### setPoliciesNotChanged

          public void setPoliciesNotChanged(Boolean value)

      Sets the value of the policiesNotChanged property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getPolicies

          public PolicyCollection getPolicies()

      Gets the value of the policies property.
      Returns:
        possible object is `PolicyCollection`

    - #### setPolicies

          public void setPolicies(PolicyCollection value)

      Sets the value of the policies property.
      Parameters:
        `value` - allowed object is `PolicyCollection`

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

      For example, to add a new item, do as follows:

              getAny().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `Element`

Copyright © 2017 WSO2. All rights reserved.